Create Auth Session Policy

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Creates the given auth session policy. If the upsert query param is set to true then, instead of performing a create, the API will switch to performing an upsert. For an upsert request, the following fields are required:

Required Upsert Fields:

  • ownerType
  • ownerId

When performing an upsert, the above 2 fields will be used to determine whether the auth session policy resource already exists. If the auth session policy already exists, a partial update will be performed; otherwise, a new auth session policy entity will be created.

In the response of an upsert request, if a create was performed, then a 201 response code will be returned; otherwise, if an update was performed, then a 200 will be returned.

Required Permissions

Below is the list of required permissions needed to interact with this API. For each permission, the allowed permission boundaries are also specified.

PermissionBoundaryDescription
auth-session-policy:writeApplicationThe subject can create an auth session policy under the application that the subject belongs to.
TenantThe subject can create an auth session policy for the tenant the subject belongs to.
Tenant Inclusion ListThe subject can create an auth session policy for tenants specified in the tenant inclusion list.
Tenant Exclusion ListThe subject can create auth session policies for tenants that belong to the subject's application but are not included in the tenant exclusion list.
Query Params
boolean
Defaults to false

Boolean indicating if the operation should be treated as an upsert

Body Params

Auth Session policy JSON object

Auth Session Policy

string
enum
required
length between 1 and 30

[Required on Create and Upsert] The type of the owner of the resource.

Allowed:
string
required
length between 1 and 26

[Required on Create and Upsert] The ID of the owner of the resource.

string
enum
length between 1 and 45
Defaults to PERSISTENT

[Required on Create] Enum representing the setting that determines if the auth session cookie should persist after the user agent is closed/shut down.

Allowed:
string
Defaults to P3D

[Required on Create][min = 1 minute / max = 129600 minutes] ISO 8601 duration representing how long the session can stay alive without additional user authentications. This value must be less than or equal to the value of the absoluteSessionTimeout.

string
Defaults to P7D

[Required on Create][min = 1 minute / max = 525600 minutes] ISO 8601 duration representing how long the session can stay alive, regardless of user authentications. This value must be greater than or equal to the value of the idleSessionTimeout.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json